package com.storlead.sales.mail.service;

import com.storlead.sales.mail.entity.SmtpPopSettingsEntity;
import com.storlead.framework.mybatis.service.MyBaseService;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 邮箱smtp_setting 服务类
 * </p>
 *
 * @author chenkq
 * @since 2024-05-28
 */
public interface SmtpPopSettingsService extends MyBaseService<SmtpPopSettingsEntity> {

    SmtpPopSettingsEntity getDefaultSmtpPop(Long userId);

    SmtpPopSettingsEntity getSystemSmtpPop(Long popId);

    List<SmtpPopSettingsEntity> getDefaultSmtpPopls(Set<Long> userIds);

    List<SmtpPopSettingsEntity> getEmailAccount(Long userId);

    SmtpPopSettingsEntity getEmailByAccountPopId(Long userId,Long popId);
}
